//////////////////////////////////////
//	[CPComboBox.h]					//
//	R{{bNX`EǗNX	//
//	from 2001.02.25					//
//	to   2002.07.19					//
//	Writer : Yoshisaka Yutaka		//
//////////////////////////////////////

#ifndef _CPCOMBOBOX_H
#define _CPCOMBOBOX_H

#include "CPartsMain.h"
#include "CPGraphics.h"

class CPComboBox;
typedef void (* LP_COMBOBOXPROC)(CPComboBox *);

class LibExport CPComboBox : public CPGraphics
{
private:
	//̕sȂ߂̋lߕ
	CP_SHLIB_DUMMY1024

public:
	CP_SHLIB_DUMMY128

	//----------------------------------------------//
	//	ʂɌJ郁\bh̐錾				//
	//----------------------------------------------//

	CPComboBox();
	~CPComboBox();

	//----- ݒs -----
	void SetBounds(int x,int y,int wid,int hei);	//\ʒuƃTCYw
	void SetSize(int wid,int hei);					//\TCYw
	void SetLocate(int x,int y);					//\ʒuw
	void SetVisible(CP_BOOL f);						//\邩Ȃ

	void SetEnable(CP_BOOL f);							//Lɂ邩ǂiDF\j

	CP_BOOL AddText(char *lpStr);			//eLXgVɒǉ
	CP_BOOL SetText(int n,char *lpStr);	//wԍ̃eLXgύX
	void SetBackgroundColor(unsigned long col);		//wiFw
	void SetForegroundColor(unsigned long col);		//OiFw
	void SetListSelectBackgroundColor(unsigned long col);		//XgI̔wiFw
	void SetListSelectForegroundColor(unsigned long col);		//XgȊOiFw
	void SetListBackgroundColor(unsigned long col);		//Xg̔wiFw
	void SetListForegroundColor(unsigned long col);		//Xg̑OiFw
	CP_BOOL SelectListIndex(int n);						//Xg̎wsI

	void Clear();									//ׂĉ

	//----- 擾s -----
	void GetBounds(CPSTRect *lpRec);				//\ʒuETCY擾
	void GetSize(CPSTSize *lpSize);					//\TCY擾
	void GetLocate(CPSTPosition *lpPos);			//\ʒu擾
	CP_BOOL IsVisible();							//\邩Ȃ

	CP_BOOL GetListBounds(CPSTRect *lpRec);					//Xg̈ʒuETCY擾
	CP_BOOL GetText(char *lpBuff,int BuffLen);				//eLXg̎擾
	CP_BOOL GetListText(int n,char *lpBuff,int BuffLen);	//eLXg̎擾
	int GetListIndex();										//Xg̑IĂ镶̔ԍ擾
	CP_BOOL IsEnable();										//LEɂ邩ǂ
	int GetListSize();										//Xg̗vf̎擾

	unsigned long GetBackgroundColor();					//wiF擾
	unsigned long GetForegroundColor();					//OiF擾
	unsigned long GetListSelectBackgroundColor();		//XgI̔wiF擾
	unsigned long GetListSelectForegroundColor();		//XgȊOiF擾
	unsigned long GetListBackgroundColor();				//XgwiF擾
	unsigned long GetListForegroundColor();				//XgOiF擾

	//----- Cxg̑Ή -----
	CP_BOOL AttachFocusEvent(LP_COMBOBOXPROC lpProc);		//R{{bNXɃtH[JXꍇ̃Cxg󂯎
	void DetachFocusEvent();								//Cxg̉
	CP_BOOL AttachChangeEvent(LP_COMBOBOXPROC lpProc);		//R{{bNX̕񂪕ύXꂽꍇ̃Cxg󂯎
	void DetachChangeEvent();								//Cxg̉

	CPWindow *GetParentWindow();	//ẽEBhENX擾
	void Repaint();					//Rg[̍ĕ`s

	//----- c[qg̐p -----
	void SetHintText(char *lpStr);					//c[qg̕wis\j
	void SetHintFontSize(int fSize);				//c[qg̃tHgTCYw
	void SetHintForegroundColor(unsigned long col);	//c[qg̕Fw
	void SetHintBackgroundColor(unsigned long col);	//c[qg̔wiFw

	CP_BOOL AddSeparator();			//eLXg̑ɃZp[^ǉ
									//(C-Parts Ver1.10)

};

#endif
