//////////////////////////////////////
//	[CPPushButton.h]				//
//	vbV{^`EǗNX	//
//	from 2000.11.26					//
//	to   2002.07.19					//
//	Writer : Yoshisaka Yutaka		//
//////////////////////////////////////

#ifndef _CPPUSHBUTTON_H
#define _CPPUSHBUTTON_H

#include "CPartsMain.h"
#include "CPGraphics.h"
#include "CPIcon.h"

#define CP_BUTTON_NORMAL	0	//ʂ̃{^
#define CP_BUTTON_CHOICE	1	//{^IĂ
#define CP_BUTTON_PUSH		2	//{^Ă
#define CP_BUTTON_DEFAULT	3	//ftHg{^

class CPWindow;
class CPPushButton;
typedef void (* LP_PUSHBUTTONPROC)(CPPushButton *);

class LibExport CPPushButton : public CPGraphics
{
private:
	//̕sȂ߂̋lߕ
	CP_SHLIB_DUMMY256

public:
	CP_SHLIB_DUMMY128

	//----------------------------------------------//
	//	ʂɌJ郁\bh̐錾				//
	//----------------------------------------------//
	CPPushButton();
	~CPPushButton();

	//----- ݒs -----
	void SetBounds(int x,int y,int wid,int hei);	//\ʒuƃTCYw
	void SetSize(int wid,int hei);				//\TCYw
	void SetLocate(int x,int y);					//\ʒuw
	void SetVisible(CP_BOOL f);					//\邩Ȃ

	void SetEnable(CP_BOOL f);					//Lɂ邩ǂiDF\j
	void SetText(char *lpStr);					//\镶w
	void SetBackgroundColor(unsigned long col);	//wiFw
	void SetForegroundColor(unsigned long col);	//OiFw
	void SetAlign(int align);						//̐\ʒuw

	void Clear();									//ׂĉ

	//----- 擾s -----
	void GetText(char *lpStr,int StrLen);			//\镶擾
	void GetBounds(CPSTRect *lpRec);				//\ʒuETCY擾
	void GetSize(CPSTSize *lpSize);				//\TCY擾
	void GetLocate(CPSTPosition *lpPos);			//\ʒu擾
	CP_BOOL IsVisible();							//\邩Ȃ

	CP_BOOL IsEnable();							//LEɂ邩ǂ
	unsigned long GetBackgroundColor();			//wiF擾
	unsigned long GetForegroundColor();			//OiF擾
	int GetAlign();								//̐\ʒu擾

	//----- Cxg̑Ή -----
	CP_BOOL AttachSelectEvent(LP_PUSHBUTTONPROC lpProc);			//{^ꂽꍇ̃Cxg󂯎
	void DetachSelectEvent();						//Cxg̉

	CPWindow *GetParentWindow();	//ẽEBhENX擾
	void Repaint();					//Rg[̍ĕ`s

	//----- c[qg̐p -----
	void SetHintText(char *lpStr);					//c[qg̕wis\j
	void SetHintFontSize(int fSize);				//c[qg̃tHgTCYw
	void SetHintForegroundColor(unsigned long col);	//c[qg̕Fw
	void SetHintBackgroundColor(unsigned long col);	//c[qg̔wiFw

	//----- ACR̊֘AÂ(C-Parts Ver1.08)
	void SetIcon(CPIcon *lpIcon);

};

#endif
 