//////////////////////////////////////////////////////
//	[CPListBox.h]									//
//	Xg{bNXǗNX						//
//	C-Parts ver1.08ǉ							//
//	from 2002.03.31									//
//	to   2002.07.19									//
//	Writer : Yoshisaka Yutaka						//
//////////////////////////////////////////////////////

#ifndef _CPLISTBOX_H
#define _CPLISTBOX_H

#include "CPartsMain.h"
#include "CPGraphics.h"
#include "CPIcon.h"

#define CP_LISTBOX_NOSCROLLBAR	0x0001	//XN[o[Ȃ
#define CP_LISTBOX_SCROLLBAR	0x0002	//XN[o[iftHgj

#define CP_LISTBOX_SINGLECHOICE	0x0010	//Ił鍀ڂ͂P̂
#define CP_LISTBOX_MULTICHOICE	0x0020	//I\


class CPListBox;
typedef void (* LP_LISTBOXPROC)(CPListBox *);

class LibExport CPListBox : public CPGraphics
{
private:
	//̕sȂ߂̋lߕ
	CP_SHLIB_DUMMY512

public:
	CP_SHLIB_DUMMY128

	//----------------------------------------------//
	//	ʂɌJ郁\bh̐錾				//
	//----------------------------------------------//
	CPListBox();
	~CPListBox();

	//----- ݒs -----
	void SetBounds(int x,int y,int wid,int hei);	//\ʒuƃTCYw
	void SetSize(int wid,int hei);					//\TCYw
	void SetLocate(int x,int y);					//\ʒuw
	void SetVisible(CP_BOOL f);						//\邩Ȃ
	void SetEnable(CP_BOOL f);						//Lɂ邩ǂ
	void SetMode(int mode);							//Xg{bNX̃[hw

	CP_BOOL AddText(char *lpStr);					//eLXgVɒǉ
	CP_BOOL AddText(char *lpStr,CPIcon *pIcon);		//eLXgVɒǉiACRwj
	CP_BOOL SetText(int n,char *lpStr);				//wԍ̃eLXgύX
	CP_BOOL SetIcon(int n,CPIcon *pIcon);			//wԍ̃eLXg̃ACRw
	CP_BOOL RemoveText(int n);						//wԖڂ̃eLXg폜
	CP_BOOL RemoveAllText();						//ׂẴeLXg폜
	
	void SetBackgroundColor(unsigned long col);		//wiFw
	void SetForegroundColor(unsigned long col);		//OiFw
	void SetSelectBackgroundColor(unsigned long col);		//XgI̔wiFw
	void SetSelectForegroundColor(unsigned long col);		//XgȊOiFw

	CP_BOOL SelectListIndex(int n,CP_BOOL f);				//Xg̎wsI/
	CP_BOOL SelectListAll();								//XĝׂĂ̍sIiI̏ꍇ̂݁j
	CP_BOOL SelectListClear();								//XĝׂĂ̍s̑I
	
	void SetScrollBarTopPos(int pos);				//XN[o[̐擪sw肷
	
	void Clear();									//ׂĉ

	//----- 擾s -----
	void GetBounds(CPSTRect *lpRec);				//\ʒuETCY擾
	void GetSize(CPSTSize *lpSize);					//\TCY擾
	void GetLocate(CPSTPosition *lpPos);			//\ʒu擾
	CP_BOOL IsVisible();							//\邩Ȃ
	CP_BOOL IsEnable();								//LEɂ邩ǂ
	CP_BOOL GetListText(int n,char *lpBuff,int BuffLen);	//Xg̃eLXg̎擾
	int GetListIndex();									//Xg̑IĂ镶̔ԍ擾iPIj
	int GetListSelectCount();							//IĂvf擾
	CP_BOOL IsSelected(int n);							//w̗vfIĂ邩ǂ
	int GetListSize();									//Xg̗vf̎擾
	
	unsigned long GetBackgroundColor();				//wiF擾
	unsigned long GetForegroundColor();				//OiF擾
	unsigned long GetSelectBackgroundColor();		//XgI̔wiF擾
	unsigned long GetSelectForegroundColor();		//XgȊOiF擾

	int GetScrollBarTopPos();						//XN[o[̐擪s擾

	CPWindow *GetParentWindow();	//ẽEBhENX擾
	void Repaint();					//Rg[̍ĕ`s
	
	//----- Cxg̑Ή -----
	CP_BOOL AttachSelectEvent(LP_LISTBOXPROC lpProc);	//XgIꂽꍇ̃Cxg󂯎
	void DetachSelectEvent();							//Cxg̉

	//----- c[qg̐p -----
	void SetHintText(char *lpStr);					//c[qg̕wis\j
	void SetHintFontSize(int fSize);				//c[qg̃tHgTCYw
	void SetHintForegroundColor(unsigned long col);	//c[qg̕Fw
	void SetHintBackgroundColor(unsigned long col);	//c[qg̔wiFw

};

#endif
