//////////////////////////////////////
//	[CPTab.h]						//
//	^u`EǗNX			//
//	from 2001.02.12					//
//	to   2002.07.19					//
//	Writer : Yoshisaka Yutaka		//
//////////////////////////////////////

#ifndef _CPTAB_H
#define _CPTAB_H

#include "CPartsMain.h"
#include "CPGraphics.h"

class CPGroup;
class CPTab;
typedef void (* LP_TABPROC)(CPTab *);

class LibExport CPTab : public CPGraphics
{
private:
	//̕sȂ߂̋lߕ
	CP_SHLIB_DUMMY512

public:
	CP_SHLIB_DUMMY128

	CPTab();
	~CPTab();

	void SetBounds(int x,int y,int wid,int hei);	//\ʒuƃTCYw
	void SetSize(int wid,int hei);					//\TCYw
	void SetLocate(int x,int y);					//\ʒuw
	void SetVisible(CP_BOOL f);						//\邩Ȃ

	CP_BOOL Add(char *lpTabName,CPGroup *lpGroup);		//^uɃO[vǉ
	void SetBackgroundColor(unsigned long col);		//wiFw
	void SetForegroundColor(unsigned long col);		//OiFw
	void SetUnselectBackgroundColor(unsigned long col);		//IĂȂ^u̔wiFw
	void SetUnselectForegroundColor(unsigned long col);		//IĂȂ^ȗOiFw
	CP_BOOL SelectTab(int n);							//wԖڂ̃^uI

	void Clear();									//ׂĉ

	void GetBounds(CPSTRect *lpRec);				//\ʒuETCY擾
	void GetSize(CPSTSize *lpSize);					//\TCY擾
	void GetLocate(CPSTPosition *lpPos);			//\ʒu擾
	CP_BOOL IsVisible();							//\邩Ȃ

	int GetTabCount();									//^u̐擾
	CP_BOOL GetTabName(int n,char *lpStr,int StrLen);	//^u̖O擾
	unsigned long GetBackgroundColor();					//wiF擾
	unsigned long GetForegroundColor();					//OiF擾
	unsigned long GetUnselectBackgroundColor();			//IĂȂ^u̔wiF擾
	unsigned long GetUnselectForegroundColor();			//IĂȂ^ȗOiF擾
	int GetSelectTab();									//IĂ^uԍ

	//----- Cxg̑Ή -----
	CP_BOOL AttachSelectEvent(LP_TABPROC lpProc);	//^uIꂽꍇ̃Cxg󂯎
	void DetachSelectEvent();						//Cxg̉

	CPWindow *GetParentWindow();	//ẽEBhENX擾
	void Repaint();					//Rg[̍ĕ`s
};

#endif
