//////////////////////////////////////
//	[CPartsMain.h]					//
//	C-PartsC֐Q				//
//	from 2000.11.19					//
//	to   2002.07.19					//
//	Writer : Yoshisaka Yutaka		//
//////////////////////////////////////

#ifndef _CPARTSMAIN_H
#define _CPARTSMAIN_H

//--------------------------------------//
//	eOSʂdifine				//
//	CP_WINDOWS       ... Windows	//
//	CP_MAC_OSX_MACH  ... OS XMach-O	//
//	CP_MAC_OS_CARBON ... OS 9/XCarbon	//
//	CP_MAC_OS_CLASSIC .. OS 9ȑO		//
//	macintosh        ... Mac		//
//--------------------------------------//

//Mac OS XProjectBuilderǂ̔f
#ifdef __APPLE_CC__
#define macintosh			1
#define CP_MAC_OSX_MACH		1
#endif

//Windows̏ꍇ
#ifdef _WINDOWS
#define CP_WINDOWS		1
#endif

//Mach-Ȍꍇ
#ifdef __POWERPC__ 
#ifdef __MACH__
#ifndef macintosh
#define macintosh	1
#define CP_MAC_OSX_MACH		1
#endif
#endif
#endif

#ifdef macintosh

#ifdef CP_MAC_OSX_MACH
#include <Carbon/Carbon.h>
#else

#ifdef __APPLE_CC__
#include <Carbon/Carbon.h>
#else
#include <Carbon.h>
#endif

#endif

//Carbon̏ꍇ
#if TARGET_API_MAC_CARBON
#ifndef CP_MAC_OSX_MACH
#define CP_MAC_OS_CARBON	1
#endif
#endif

#endif

#include "CPGlobal.h"

//DLL@\Ăяoꍇ̏Ŏgp
//Windows/Mac/MacOSX/LinuxpɂꂼKv
#ifndef LibExport

#ifdef CP_WINDOWS
//#define LibExport   __declspec( dllexport ) 
#define LibExport	//DEFt@CQƂ邽ߕsv
#endif

#ifdef macintosh
//#define LibExport   __declspec( export ) 
#define LibExport	//expt@CQƂ邽ߕsv
#endif

#ifdef linux
#define LibExport
#endif

#endif

#ifndef CP_BOOL
#define CP_BOOL	int
#endif

#ifndef CP_TRUE
#define CP_TRUE	1
#endif

#ifndef CP_FALSE
#define CP_FALSE	0
#endif

#define CPARTS_VERSION		0x0110		//C-Parts̃o[W

//----- F̑p ------
//F́A32rbgɁuARGBv̏Ɋi[
#define CP_RGB(cr,cg,cb)		(unsigned long)(0xff000000 | (((cr) & 0xff) << 16) | (((cg) & 0xff) << 8) | ((cb) & 0xff))
#define CP_RGBA(cr,cg,cb,ca)	(unsigned long)((((ca) & 0xff) << 16) | (((cr) & 0xff) << 16) | (((cg) & 0xff) << 8) | ((cb) & 0xff))

#define CP_RGB_RED(col)			(((col) & 0x00ff0000) >> 16)
#define CP_RGB_GREEN(col)		(((col) & 0x0000ff00) >>  8)
#define CP_RGB_BLUE(col)		((col) & 0x000000ff)
#define CP_RGB_ALPHA(col)		(((col) & 0xff000000) >> 24)

//----- OS̎ ---------
#define CP_OS_WINDOWS		10		//Windows
#define CP_OS_MACINTOSH		20		//Macintosh(Mac OS 9)
#define CP_OS_MACINTOSHX	21		//Macintosh(Mac OS X)
#define CP_OS_LINUX			30		//Linux

//----- Cxg̎ -----
#define CP_WINDOWEVENT_CREATE		100		//EBhE
#define CP_WINDOWEVENT_DESTROY		101		//EBhEj
#define CP_WINDOWEVENT_PAINT		102		//EBhEĕ`
#define CP_WINDOWEVENT_RESIZE		103		//EBhETCYύX
#define CP_WINDOWEVENT_ACTIVE		104		//EBhẼANeBu
#define CP_WINDOWEVENT_NONACTIVE	105		//EBhE̔ANeBu

#define CP_KEYEVENT_KEYDOWN			201		//L[ꂽ
#define CP_KEYEVENT_KEYUP			202		//L[ꂽ

#define CP_MOUSEEVENT_BUTTONDOWN	300		//}EXŃ{^ꂽ
#define CP_MOUSEEVENT_BUTTONUP		301		//}EXŃ{^ꂽ
#define CP_MOUSEEVENT_MOVE			302		//}EXړ
#define CP_MOUSEEVENT_DBLCLICK		303		//_uNbNꂽ
#define CP_MOUSEEVENT_WHELL			304		//zC[}EXɂ]

//----- `掞̑ -----
#define CP_TRANSPARENT		0		//wi𓧉߂ɂ
#define CP_OPAQUE			1		//wi񓧉߂ɂ

//----- ʒu -----
#define CP_ALIGN_LEFT		1		//
#define CP_ALIGN_CENTER		2		//
#define CP_ALIGN_RIGHT		3		//E

//----- L[R[h -----
#define CP_KEY_ESC			0xf00000
#define CP_KEY_CTRL			0xf00001
#define CP_KEY_ALT			0xf00002
#define CP_KEY_SHIFT		0xf00003
#define CP_KEY_CAPS			0xf00004
#define CP_KEY_TAB			0xf00005
#define CP_KEY_BACKSPACE	0xf00006
#define CP_KEY_DELETE		0xf00007
#define CP_KEY_ENTER		0xf00008
#define CP_KEY_PAGEUP		0xf00009
#define CP_KEY_PAGEDOWN		0xf0000a
#define CP_KEY_HOME			0xf0000b
#define CP_KEY_END			0xf0000c
#define CP_KEY_INSERT		0xf0000d

//ȉ4MaĉݎgpL[
#define CP_KEY_MAC_DELETE	0xf00101
#define CP_KEY_MAC_DEL		0xf00102
#define CP_KEY_MAC_CLEAR	0xf00103
#define CP_KEY_MAC_HELP		0xf00104

#define CP_KEY_F1			0xf10001
#define CP_KEY_F2			0xf10002
#define CP_KEY_F3			0xf10003
#define CP_KEY_F4			0xf10004
#define CP_KEY_F5			0xf10005
#define CP_KEY_F6			0xf10006
#define CP_KEY_F7			0xf10007
#define CP_KEY_F8			0xf10008
#define CP_KEY_F9			0xf10009
#define CP_KEY_F10			0xf1000a
#define CP_KEY_F11			0xf1000b
#define CP_KEY_F12			0xf1000c

#define CP_KEY_LEFT			0xf20000
#define CP_KEY_RIGHT		0xf20001
#define CP_KEY_UP			0xf20002
#define CP_KEY_DOWN			0xf20003

#define CP_KEY_NUMPAD0		0xf30000
#define CP_KEY_NUMPAD1		0xf30001
#define CP_KEY_NUMPAD2		0xf30002
#define CP_KEY_NUMPAD3		0xf30003
#define CP_KEY_NUMPAD4		0xf30004
#define CP_KEY_NUMPAD5		0xf30005
#define CP_KEY_NUMPAD6		0xf30006
#define CP_KEY_NUMPAD7		0xf30007
#define CP_KEY_NUMPAD8		0xf30008
#define CP_KEY_NUMPAD9		0xf30009

//----- ɉĂL[iCPSTKeyEventKeyDatã}XNj
#define CP_KEY_CAPSLOCK_MASK	0x80000000
#define CP_KEY_SCRLOCK_MASK		0x40000000
#define CP_KEY_NUMLOCK_MASK		0x20000000
#define CP_KEY_INSERTLOCK_MASK	0x10000000
#define CP_KEY_SHIFT_MASK		0x00800000
#define CP_KEY_CTRL_MASK		0x00400000
#define CP_KEY_ALT_MASK			0x00200000
#define CP_KEY_MAC_COMMAND_MASK	0x00008000
#define CP_KEY_MAC_CAPS_MASK	0x00002000
#define CP_KEY_MAC_OPTION_MASK	0x00001000
#define CP_KEY_MAC_CONTROL_MASK	0x00000800

		
//----- `̍\ -----
typedef struct {
	int x,y;			//ʒu
	int width,height;	//ƍ
} CPSTRect;

//----- ʒu̍\ -----
typedef struct {
	int x,y;			//ʒu
} CPSTPosition;

//----- TCY̍\ -----
typedef struct {
	int width,height;	//TCY
} CPSTSize;

//----- F̍\ -----
typedef struct{
	int red;		//Redl(0`255)
	int green;		//Greenli0`255)
	int blue;		//Blueli0`255)
	int alpha;		//li0`255j
} CPSTColor;

//----- Cxg擾p\ -----
typedef struct {
	int WinID;			//EBhEID
	int EventCode;		//CxgR[h
	int CharCode;		//LN^R[h
	int KeyData;		//L[iɉꂽL[j
} CPSTKeyEvent;

typedef struct {
	int WinID;			//EBhEID
	int EventCode;		//CxgR[h
	int x,y;			//}EẌʒu
	int WheelValue;		//zC[}EX̒l
	CP_BOOL Button[8];		//{^̉
} CPSTMouseEvent;

typedef struct {
	int WinID;			//EBhEID
	int EventCode;		//CxgR[h
	CPSTRect rect;		//CP_WINDOWEVENT_RESIZẼEBhEʒuƃTCY
} CPSTWindowEvent;

//----------------------------------//
//	O[o֐Q				//
//----------------------------------//

extern CPGlobal g_Global;	//O[oϐȂǂ̊i[NX

#ifdef CP_WINDOWS
#include <windows.h>
#include <windowsx.h>

LibExport void CPartsInitialize(HWND parent,HINSTANCE hinst);	// for Windows

#elif macintosh

#if !(CP_MAC_OS_CARBON | CP_MAC_OSX_MACH)

#include <Types.h>
#include <Memory.h>
#include <Quickdraw.h>
#include <Fonts.h>
#include <Events.h>
#include <Menus.h>
#include <Windows.h>
#include <Dialogs.h>
#include <OSUtils.h>
#include <ToolUtils.h>
#include <SegLoad.h>

#endif

LibExport void CPartsInitialize(WindowRef parent);		// for Macintosh

#elif  linux
#include <X11/Xlib.h>
#include <X11/Xutil.h>

LibExport void CPartsInitialize(Display *d,Window parent);	// for Linux

#endif

LibExport void    CPartsMessageLoop();	//CxgĎ郁bZ[W[v
LibExport CP_BOOL CPartsGetEvent();		//CxĝP̏s
LibExport void    CPartsMessageQuit();	//bZ[W[v甲
LibExport int     CPartsGetVersion();	//C-Parts̃o[W擾
LibExport int     CPartsGetOS();		//OS̎ނ擾
LibExport void    CPartsTerminate();	//C-Parts̏Is

#ifdef macintosh
	//PowerPlant΍
	//Cxg[updateEvt]ŃobNɂPowerPlant̃EBhEĕ`
	//ƂɌĂ΂R[obN֐i[
	typedef void (* LP_POWERPLANT_UPDATE_PROC)(WindowRef);

	//PowerPlant̃EBhEĕ`悷Ƃ̃R[obN֐o^
	void CPUpdatePowerPlantWindow(LP_POWERPLANT_UPDATE_PROC updateProc);
	
	//ӂ̕(char *)Pascal(Str255)ɕϊ邽߂̊֐
	CP_BOOL CPStr2Pascal(char *lpStr,Str255 retStr255);
	
	//SEBhE̍ĕ`s
	void CPUpdateAllWindowPtr();
	
	//w̃EBhE̍ĕ`𑣂
	void CPUpdateWindowPtr(WindowRef wPtr);
#endif


//LCuiDLLjǗ̃_~[}N
//wb_ł̋lߕ
#define CP_SHLIB_DUMMY64	char CP_ShLib_Dummy64[64];
#define CP_SHLIB_DUMMY128	char CP_ShLib_Dummy128[128];
#define CP_SHLIB_DUMMY256	char CP_ShLib_Dummy256[256];
#define CP_SHLIB_DUMMY512	char CP_ShLib_Dummy512[512];
#define CP_SHLIB_DUMMY1024	char CP_ShLib_Dummy1024[1024];
#define CP_SHLIB_DUMMY2048	char CP_ShLib_Dummy2048[2048];
#define CP_SHLIB_DUMMY4096	char CP_ShLib_Dummy4096[4096];

#endif

