//--------------------------------------//
//	[CPartsTest6.cpp]					//
//	C-PartsgShadevOC		//
//	Xbh̃eXg					//
//	2002.04.12 - 2002.09.28				//
//		Yutaka Yoshisaka				//
//--------------------------------------//
struct allocator_class { };

#include <vector>

#include <stdio.h>
#include <stdlib.h>

//C-PartsŎgpwb_
#include "CPartsMain.h"
#include "CPWindow.h"
#include "CPLabel.h"
#include "CPEditBox.h"
#include "CPPushButton.h"
#include "CPGroup.h"
#include "CPProgressBar.h"
#include "CPCheckBox.h"
#include "CPRadioButton.h"
#include "CPSlider.h"
#include "CPTab.h"
#include "CPComboBox.h"
#include "CPSpin.h"
#include "CPSpinEditBox.h"
#include "CPImage.h"
#include "CPButton.h"
#include "CPColor.h"
#include "CPFileCtrl.h"
#include "CPListBox.h"

#include "CPThread.h"	//XbhǗNX

#include "CPartsSI.h"	//C-Parts - Shade ̃ubW

#if !INLINED_PLUGIN
#include "com.cpp"
#include "vectors.cpp"
#endif
#if WIN32
	#include "windows.h"
#endif
#include "shadetypes.h"
#include "sceneinterface.h"
#include "imageinterface.h"
#include "renderinginterface.h"
#include "renderingcontextinterface.h"
#include "correctioninterface.h"
#include "shapeclass.h"
#include "progressdialoginterface.h"
#include "sceneinterface.h"
#include "shadeinterface.h"
#include "pluginids.h"
#include "dllentries.h"
#include "camerainterface.h"
#include "shapeinterface.h"


struct plugin_component;
static plugin_component *lpThis=NULL;
static shade_interface *g_shade=NULL;

//vOCID́A
//SDN胆[U[̌ŗLID炤悤ɂĂ
const int cparts_plugin_id = 0x434ff011;

struct plugin_component : plugin_interface {
	plugin_component () {
		g_shade=NULL;
		lpThis=this;
	}

	~plugin_component () {
		//C-Parts̏I
		CPartsSI_Terminate();
	}
	virtual int get_shade_version () const { return SHADE_VERSION; }

	virtual void do_it (shade_interface *shade, scene_interface *scene, void *);
	virtual int get_id (void * = 0) { return cparts_plugin_id; }

	virtual void scene_opened (sxbool &b, scene_interface *scene, void * = 0) {
		//C-Parts
		CPartsSI_Initialize(scene);
	}

	//--------------------------------------------------------------//
	//	Xbhł̏											//
	//	CPThread::StartThread̑Ƀ|C^nꍇ́A	//
	//	ꂪÅ֐̑lpItemɓ					//
	//--------------------------------------------------------------//
	static void MyThreadLoop(void *lpItem)
	{
		if(!lpThis) return;
		char szStr[128];
		int i;

		for(i=0;i<100;i++){
			//XbhĨtOĂ邩f
			if(lpThis->ThreadExitFlag) break;

			//xɃJEg\
			sprintf(szStr,"cou = %d",i);
			lpThis->cp_lab.SetText(szStr);
			lpThis->cp_lab.Repaint();

			//vOXo[̍XV
			lpThis->cp_Progress.SetPosition(i);
			lpThis->cp_Progress.Repaint();

			//ԑ҂(100ms)
			lpThis->cp_Thread.Sleep(100);
		}

		//Xbh̏ItO𗧂Ă
		lpThis->ThreadExitFlag=1;

		//Xbh̏I
		//iXbh֐甲ꍇɂ͕KĂԂƁIj
		lpThis->cp_Thread.EndThread();
	}

	//----------------------------------------------//
	//	uXbhJnv{^ꂽ			//
	//----------------------------------------------//
	static void OnTStartBut(CPPushButton *lpBut)
	{
		//XbhExittONA
		lpThis->ThreadExitFlag=0;

		//Xbh̊JniMyThreadLoop()Ăԁj
		if((lpThis->cp_Thread.BeginThread(lpThis->MyThreadLoop,NULL))==CP_FALSE){
			//łɃXbhJnĂA͊JnɎs
			return;
		}
	}

	//----------------------------------------------//
	//	uXbhIv{^ꂽ			//
	//----------------------------------------------//
	static void OnTEndBut(CPPushButton *lpBut)
	{
		//RāAXbhI邩ǂf
		lpThis->ThreadExitFlag=1;
	}

	//----------------------------------------------//
	//	uv{^ꂽ					//
	//----------------------------------------------//
	static void OnCloseBut(CPPushButton *lpBut)
	{
		if((lpThis->ThreadExitFlag)==0){
			lpBut->GetParentWindow()->MessageBox("Warning","Now,thread is running.");
			return;
		}
		
		//{^ꂽƂɁAEBhE
		lpBut->GetParentWindow()->CloseWindow();
	}

private:
	CPWindow cp_win;			//C-PartspEBhEǗNX
	CPLabel cp_lab;
	CPProgressBar cp_Progress;
	CPPushButton cp_TStartBut;	//uXbhJnv{^
	CPPushButton cp_TEndBut;	//uXbhIv{^
	CPPushButton cp_CloseBut;	//uv{^
	CPThread cp_Thread;			//XbhNX

	int ThreadExitFlag;			//Xbh甲邩ǂ̃tO
};

void plugin_component::do_it(shade_interface *shade, scene_interface *scene, void *) {

	if (scene) {
		//shade_interfacẽ|C^ێ
		g_shade=shade;
		
		//--------------------------------------//
		//	[__CAO̐		//
		//--------------------------------------//
		cp_win.Clear();
		if(cp_win.CreateNewDialog("C-Parts Test Window",120,120,200,110)<0){
			shade->message("CreateNewDialog failed!!");
			return;
		}

		//--------------------------//
		//	_CAO̕iݒ	//
		//--------------------------//

		//x̔zu
		cp_lab.SetBounds(8,8,80,20);
		cp_lab.SetText("----");
		cp_lab.SetBackMode(CP_TRANSPARENT);
		cp_lab.SetAlign(CP_ALIGN_RIGHT);
		cp_win.Add(&cp_lab);

		//vOXo[̔zu
		cp_Progress.SetBounds(90,12,100,12);
		cp_Progress.SetRange(0,100);
		cp_Progress.SetPosition(0);
		cp_Progress.SetMode(CP_PROGRESSBAR_GRADATION);
		cp_win.Add(&cp_Progress);

		//uXbhJnv{^̔zu
		cp_TStartBut.SetBounds(8,32,182,20);
		cp_TStartBut.SetText("XbhJn");
		cp_TStartBut.AttachSelectEvent(this->OnTStartBut);
		cp_win.Add(&cp_TStartBut);

		//uXbhIv{^̔zu
		cp_TEndBut.SetBounds(8,56,182,20);
		cp_TEndBut.SetText("XbhI");
		cp_TEndBut.AttachSelectEvent(this->OnTEndBut);
		cp_win.Add(&cp_TEndBut);

		//uv{^̔zu
		cp_CloseBut.SetText("");
		cp_CloseBut.SetBounds(8,80,182,20);
		cp_CloseBut.AttachSelectEvent(this->OnCloseBut);
		cp_CloseBut.SetHintText("EBhE܂B");
		cp_win.Add(&cp_CloseBut);

		//_CAO̕\
		cp_win.DoModal();

		//XbhItO𗧂Ă
		ThreadExitFlag=1;
		
		//Xbh̃[vI܂ő҂i200msj
		cp_Thread.Sleep(200);
	}
}


#if __MWERKS__
	#pragma export on
#endif

extern_c void STDCALL create_interface(const IID &iid, int i, void **p, shade_interface *shade, void *) {
	unknown_interface *u = 0;
	
	u = new plugin_component;

	u->AddRef();
	*p = (void *)u;
};

extern_c int STDCALL has_interface(const IID &iid,shade_interface *shade) {
	if (iid == plugin_iid) return 1;
	return 0;
}

extern_c const char * STDCALL get_name(const IID &iid, int i, shade_interface *shade, void *) {
	return "CParts-Sample6(Thread Test)";
}

extern_c int STDCALL get_interface_version(void *) {
	return interface_version;
}

extern_c int STDCALL get_id(const IID &iid, int i, void *) {
	return cparts_plugin_id;
}

extern_c bool STDCALL is_resident(const IID &iid, int i, void *) {
	//K풓
	return true;
}

extern_c int STDCALL get_text_encoding (shade_interface *shade, void *) {
	return shade->is_japanese_mode() ? plugin_interface::japanese_encoding : 0;
}

//----------------------------------------------//
//	C^[tF[X̎w					//
//----------------------------------------------//
extern_c void STDCALL get_info (shade_plugin_info &info, shade_interface *shade, void *) {

	info.sdk_version = SDK_VERSION;
	//info.recommended_shade_version = 35000;
	info.major_version = 1;
	info.minor_version = 0;
	info.micro_version = 0;
	info.build_number = 1;
	info.product_name = "CParts-Sample6";
	info.author = "Y.Yutaka";
	info.company = "";
	info.comments = "C-Parts̃eXgvOCłB\nXbh̃eXgłB";
}



